Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
Unarchive a feature definition.
cURL
curl --request PUT \ --url https://api.hyperline.co/v1/features/{code}/unarchive \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.hyperline.co/v1/features/{code}/unarchive" headers = {"Authorization": "Bearer <token>"} response = requests.put(url, headers=headers) print(response.text)
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.hyperline.co/v1/features/{code}/unarchive', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.hyperline.co/v1/features/{code}/unarchive", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PUT", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.hyperline.co/v1/features/{code}/unarchive" req, _ := http.NewRequest("PUT", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.put("https://api.hyperline.co/v1/features/{code}/unarchive") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.hyperline.co/v1/features/{code}/unarchive") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "code": "sso", "name": "Single sign-on", "description": "Allow users to authenticate with SAML SSO.", "value_type": "boolean", "resolution_strategy": null, "default_value": false, "status": "active", "created_at": "2024-12-20T16:04:11Z", "updated_at": "2024-12-20T16:04:11Z", "archived_at": null }
{ "message": "<string>" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Feature code.
"sso"
Feature name.
"Single sign-on"
Feature description.
"Allow users to authenticate with SAML SSO."
Type of feature value.
boolean
number
Strategy used to combine multiple product feature values for number features.
max
sum
replace
null
Default value used when no product or customer feature value applies. Null means no default.
false
Feature status.
active
archived
"active"
Creation date.
"2024-12-20T16:04:11Z"
Last update date.
Archival date.
Was this page helpful?